CS::Animation::iSkeletonDebugNodeFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonDebugNodeFactory Struct Reference

Factory for the 'debug' animation node (see CS::Animation::iSkeletonDebugNode). More...

`#include <imesh/animnode/debug.h>`

Inheritance diagram for CS::Animation::iSkeletonDebugNodeFactory:

List of all members.

## Public Member Functions
virtual iSkeletonAnimNodeFactory * | GetChildNode () const =0
| Get the child animation node of this node.
virtual SkeletonDebugMode | GetDebugModes ()=0
| Get the combination of visualization modes to be used for displaying the animation.
virtual bool | GetRandomColor () const =0
| Return whether or not random colors are used to display the bone data.
virtual void | SetBoneMask (csBitArray &boneMask)=0
| Set the bone mask to be used.
virtual void | SetChildNode (iSkeletonAnimNodeFactory *factory)=0
| Set the child animation node of this node.
virtual void | SetDebugImage (csPixmap *image)=0
| Set the image to be displayed when CS::Animation::DEBUG_IMAGES is used.
virtual void | SetDebugModes (SkeletonDebugMode modes)=0
| Set the combination of visualization modes to be used for displaying the animation.
virtual void | SetLeafBonesDisplayed (bool displayed)=0
| Set whether or not the leaf bones of the skeleton are displayed.
virtual void | SetRandomColor (bool random)=0
| Set wether or not random colors are used to display the bone data.
virtual void | UnsetBoneMask ()=0
| Unset the mask of bones that are displayed.

## Detailed Description

Factory for the 'debug' animation node (see CS::Animation::iSkeletonDebugNode).

Definition at line 76 of file debug.h.

## Member Function Documentation

virtual iSkeletonAnimNodeFactory* CS::Animation::iSkeletonDebugNodeFactory::GetChildNode | ( |  | ) | const`[pure virtual]`

Get the child animation node of this node.

virtual SkeletonDebugMode CS::Animation::iSkeletonDebugNodeFactory::GetDebugModes | ( |  | ) | `[pure virtual]`

Get the combination of visualization modes to be used for displaying the animation.

virtual bool CS::Animation::iSkeletonDebugNodeFactory::GetRandomColor | ( |  | ) | const`[pure virtual]`

Return whether or not random colors are used to display the bone data.

virtual void CS::Animation::iSkeletonDebugNodeFactory::SetBoneMask | ( | csBitArray & | boneMask | ) | `[pure virtual]`

Set the bone mask to be used.

If this mask is provided, then only the bones from this mask will be displayed.

virtual void CS::Animation::iSkeletonDebugNodeFactory::SetChildNode | ( | iSkeletonAnimNodeFactory * | factory | ) | `[pure virtual]`

Set the child animation node of this node.

It is valid to set a null reference as chid node.

virtual void CS::Animation::iSkeletonDebugNodeFactory::SetDebugImage | ( | csPixmap * | image | ) | `[pure virtual]`

Set the image to be displayed when CS::Animation::DEBUG_IMAGES is used.

virtual void CS::Animation::iSkeletonDebugNodeFactory::SetDebugModes | ( | SkeletonDebugMode | modes | ) | `[pure virtual]`

Set the combination of visualization modes to be used for displaying the animation.

Default value is CS::Animation::DEBUG_SQUARES.

virtual void CS::Animation::iSkeletonDebugNodeFactory::SetLeafBonesDisplayed | ( | bool | displayed | ) | `[pure virtual]`

Set whether or not the leaf bones of the skeleton are displayed.

virtual void CS::Animation::iSkeletonDebugNodeFactory::SetRandomColor | ( | bool | random | ) | `[pure virtual]`

Set wether or not random colors are used to display the bone data.

The default value is 'false'.

virtual void CS::Animation::iSkeletonDebugNodeFactory::UnsetBoneMask | ( |  | ) | `[pure virtual]`

Unset the mask of bones that are displayed.

All bones will now be displayed.

The documentation for this struct was generated from the following file:

- imesh/animnode/debug.h